Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.sslmultiplex
Class SSLMultiplexServerInvoker

    java.lang.Object
      org.jboss.remoting.AbstractInvoker
          org.jboss.remoting.ServerInvoker
              org.jboss.remoting.transport.socket.SocketServerInvoker
                  org.jboss.remoting.transport.multiplex.MultiplexServerInvoker
                      org.jboss.remoting.transport.sslmultiplex.SSLMultiplexServerInvoker

All Implemented Interfaces:
  java.lang.Runnable, Invoker, ServerInvokerMBean, VirtualSocket.DisconnectListener, SocketServerInvokerMBean

    public class SSLMultiplexServerInvoker

extends MultiplexServerInvoker

`SSLMultiplexServerInvoker` is the server side of the sslmultiplex transport. For more information, see Remoting documentation on labs.jboss.org.

Version:
  $Revision: 1248 $

  Copyright (c) Mar 24, 2006

Author:
  Ron Sigal

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.remoting.transport.multiplex.MultiplexServerInvoker
`MultiplexServerInvoker.InternalHandshakeListener, MultiplexServerInvoker.SocketGroupInfo`

Nested classes/interfaces inherited from class org.jboss.remoting.transport.socket.SocketServerInvoker
`SocketServerInvoker.IdleTimerTask, SocketServerInvoker.ServerSocketRefresh`

Nested classes/interfaces inherited from class org.jboss.remoting.ServerInvoker
`ServerInvoker.InvalidStateException`

Nested classes/interfaces inherited from class org.jboss.remoting.AbstractInvoker
`AbstractInvoker.CallbackLocatorHolder`

Field Summary

Fields inherited from class org.jboss.remoting.transport.multiplex.MultiplexServerInvoker
`log`

Fields inherited from class org.jboss.remoting.transport.socket.SocketServerInvoker
`acceptThreads, backlog, CHECK_CONNECTION_KEY, clientpool, idleTimeout, idleTimerTask, MAX_POOL_SIZE_DEFAULT, maxPoolSize, newServerSocketFactory, numAcceptThreads, reuseAddress, running, SERVER_SOCKET_CLASS_FLAG, serverSocket, serverSocketClass, serverSocketFactoryLock, threadpool`

Fields inherited from class org.jboss.remoting.ServerInvoker
`BLOCKING, BLOCKING_MODE, BLOCKING_TIMEOUT, callbackHandlers, CLIENT_CONNECT_ADDRESS_KEY, CLIENT_CONNECT_PORT_KEY, CLIENT_LEASE_PERIOD, clientCallbackListener, connectionNotifier, DEFAULT_BLOCKING_TIMEOUT, DEFAULT_CLIENT_LEASE_PERIOD, DEFAULT_TIMEOUT_PERIOD, handlers, INVOKER_SESSION_ID, MAX_NUM_ONEWAY_THREADS, MAX_NUM_ONEWAY_THREADS_KEY, MAX_ONEWAY_THREAD_POOL_QUEUE_SIZE, NONBLOCKING, ONEWAY_THREAD_POOL_CLASS_KEY, REGISTER_CALLBACK_LISTENER, registerCallbackListeners, SERVER_BIND_ADDRESS_KEY, SERVER_BIND_PORT_KEY, SERVER_SOCKET_FACTORY, serverSocketFactory, singleCallbackContainer, singleHandler, started, TIMEOUT`

Fields inherited from class org.jboss.remoting.AbstractInvoker
`classbyteloader, configuration, localServerLocators, locator, serializationType, socketFactory, socketFactoryCreatedFromSSLParameters`

Constructor Summary
`SSLMultiplexServerInvoker(InvokerLocator locator)`
`SSLMultiplexServerInvoker(InvokerLocator locator, java.util.Map configuration)`

Method Summary
`protected javax.net.SocketFactory` | `createSocketFactory(java.util.Map configuration)` If any configuration parameters relate to the construction of a SSLSocketBuilder, create one.
`protected javax.net.ServerSocketFactory` | `getDefaultServerSocketFactory()` Gets the default server socket factory to use for the server invoker.

Methods inherited from class org.jboss.remoting.transport.multiplex.MultiplexServerInvoker
`cleanup, configureSocketGroupParameters, createPrimingSocket, createPrimingSocket, createServerSocket, finishStart, getAddressPairMap, getDefaultDataType, getInputBufferSize, getInputMaxErrors, getMaxAcceptErrors, getMultiplexConnectHost, getMultiplexConnectPort, getOutputMaxChunkSize, getOutputMaxDataSlice, getOutputMaxTimeSlice, getOutputMessagePoolSize, getOutputMessageSize, getParameters, getServerInvoker, getServerInvokers, getServerMultiplexId, getServerSocket, getShutdownMonitorPeriod, getShutdownRefusalsMaximum, getShutdownRequestTimeout, getSocketGroupMap, getStaticThreadsMonitorPeriod, getThreadName, isSafeToShutdown, notifyDisconnected, processInvocation, refreshServerSocket, resetLocator, rule1, rule2, rule3, rule4, run, setBindingInfo, setInputBufferSize, setInputMaxErrors, setMaxAcceptErrors, setOutputMaxChunkSize, setOutputMaxDataSlice, setOutputMaxTimeSlice, setOutputMessagePoolSize, setOutputMessageSize, setShutdownMonitorPeriod, setShutdownRefusalsMaximum, setShutdownRequestTimeout, setStaticThreadsMonitorPeriod, setup, start, stop, toString`

Methods inherited from class org.jboss.remoting.transport.socket.SocketServerInvoker
`destroy, finalize, getBacklog, getCurrentClientPoolSize, getCurrentThreadPoolSize, getIdleTimeout, getMaxPoolSize, getNumAcceptThreads, getReuseAddress, isTransportBiDirectional, setBacklog, setIdleTimeout, setMaxPoolSize, setNewServerSocketFactory, setNumAcceptThreads, setReuseAddress`

Methods inherited from class org.jboss.remoting.ServerInvoker
`addConnectionListener, addInvocationHandler, assignPort, create, createServerSocketFactory, getClientConnectAddress, getClientConnectPort, getConfiguration, getDataType, getInvocationHandler, getInvocationHandlers, getLease, getLeasePeriod, getMaxNumberOfOnewayThreads, getMBeanObjectName, getMBeanServer, getOnewayThreadPool, getServerBindAddress, getServerBindPort, getServerSocketFactory, getSupportedSubsystems, getTimeout, handleInternalInvocation, hasInvocationHandler, invoke, invoke, isLeaseActivated, isRegisterCallbackListeners, isStarted, justNeedsSSLClientMode, postProcess, preProcess, removeCallbackListener, removeConnectionListener, removeInvocationHandler, setClientConnectAddress, setClientConnectPort, setConfiguration, setLeasePeriod, setMaxNumberOfOnewayThreads, setMBeanServer, setOnewayThreadPool, setRegisterCallbackListeners, setServerSocketFactory, setTimeout, wrapServerSocketFactory`

Methods inherited from class org.jboss.remoting.AbstractInvoker
`addClientLocator, getClassLoader, getClientLocator, getClientLocators, getLocator, getSerializationType, getSocketFactory, isCompleteSocketFactory, isSocketFactoryCreatedFromSSLParameters, needsCustomSSLConfiguration, setClassLoader, setSerializationType, setSocketFactory, wrapSocketFactory`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.remoting.transport.socket.SocketServerInvokerMBean
`getServerBindPort`

Methods inherited from interface org.jboss.remoting.ServerInvokerMBean
`create, getClientConnectAddress, getClientConnectPort, getConfiguration, getDataType, getServerBindAddress, getTimeout, isStarted, setClientConnectAddress, setClientConnectPort, setConfiguration, setTimeout`

Constructor Detail

### SSLMultiplexServerInvoker

    public SSLMultiplexServerInvoker(InvokerLocator locator)

Parameters:
  `locator` -

### SSLMultiplexServerInvoker

    public SSLMultiplexServerInvoker(InvokerLocator locator,
                                     java.util.Map configuration)
                              throws java.io.IOException

Parameters:
  `locator` -
  `configuration` -
Throws:
  `java.io.IOException`

Method Detail

### createSocketFactory

    protected javax.net.SocketFactory createSocketFactory(java.util.Map configuration)

  Description copied from class: `AbstractInvoker`
  If any configuration parameters relate to the construction of a SSLSocketBuilder, create one.

  Overrides:
    `createSocketFactory` in class `AbstractInvoker`
  Parameters:
    `configuration` -
  Returns:

### getDefaultServerSocketFactory

    protected javax.net.ServerSocketFactory getDefaultServerSocketFactory()

  Description copied from class: `ServerInvoker`
  Gets the default server socket factory to use for the server invoker. The intention is this method will be overridden by sub-classes for their specific defaults.

  Overrides:
    `getDefaultServerSocketFactory` in class `ServerInvoker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.